commit:     52bfb6db78293993f0208f82709dc86200bdbd61
Author:     Z. Liu <zhixu.liu <AT> gmail <DOT> com>
AuthorDate: Sun Mar  2 15:34:23 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat May 10 18:01:15 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=52bfb6db

net-libs/libsearpc: enable py3.13

add myself as maintainer

Signed-off-by: Z. Liu <zhixu.liu <AT> gmail.com>
Part-of: https://github.com/gentoo/gentoo/pull/40911
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-libs/libsearpc/libsearpc-3.3.0-r3.ebuild | 42 ++++++++++++++++++++++++++++
 net-libs/libsearpc/metadata.xml              |  9 +++++-
 2 files changed, 50 insertions(+), 1 deletion(-)

diff --git a/net-libs/libsearpc/libsearpc-3.3.0-r3.ebuild 
b/net-libs/libsearpc/libsearpc-3.3.0-r3.ebuild
new file mode 100644
index 000000000000..e5670990b6bc
--- /dev/null
+++ b/net-libs/libsearpc/libsearpc-3.3.0-r3.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+
+# Upstream is moving tags repeatedly, then we use commit hash.
+RELEASE_COMMIT="15f6f0b9f451b9ecf99dedab72e9242e54e124eb" #tag v3.3-latest
+
+inherit autotools python-single-r1
+
+DESCRIPTION="Simple C language RPC framework"
+HOMEPAGE="https://github.com/haiwen/libsearpc/ https://seafile.com/";
+SRC_URI="https://github.com/haiwen/${PN}/archive/${RELEASE_COMMIT}.tar.gz -> 
${P}.tar.gz"
+S="${WORKDIR}/${PN}-${RELEASE_COMMIT}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="${PYTHON_DEPS}
+       >=dev-libs/glib-2.26.0
+       >=dev-libs/jansson-2.2.1:="
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+       "${FILESDIR}"/${P}-clang16.patch #870544
+)
+
+src_prepare() {
+       default
+       sed -i -e "s/(DESTDIR)//" ${PN}.pc.in || die
+       eautoreconf
+}
+
+src_install() {
+       default
+       # Remove unnecessary .la files
+       find "${ED}" -name '*.la' -delete || die
+}

diff --git a/net-libs/libsearpc/metadata.xml b/net-libs/libsearpc/metadata.xml
index e0ab66212753..bfd6cefb37cb 100644
--- a/net-libs/libsearpc/metadata.xml
+++ b/net-libs/libsearpc/metadata.xml
@@ -1,7 +1,14 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
-       <!-- maintainer-needed -->
+       <maintainer type="person" proxied="yes">
+               <email>[email protected]</email>
+               <name>Z. Liu</name>
+       </maintainer>
+       <maintainer type="project" proxied="proxy">
+               <email>[email protected]</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
        <upstream>
                <remote-id type="github">haiwen/libsearpc</remote-id>
        </upstream>

Reply via email to